<?php

namespace PostenBringCheckout\admin\bring\models\booking;

defined( 'ABSPATH' ) || exit;

class Contact {
	public ?string $name;
	public ?string $email;
	public ?string $phoneNumber;

	public function __construct( ?string $name, ?string $email, ?string $phoneNumber ) {
		$this->name        = $name;
		$this->email       = $email;
		$this->phoneNumber = $phoneNumber;
	}

	public function toArray(): array {
		return get_object_vars( $this );
	}
}
